%define name ccsm
%define version 0.7.6
%define rel 1
%define git 0

%if  %{git}
%define srcname %{name}-%{git}
%define distname %{name}
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name: %name
Version: %version
Release: %release
Summary: Compiz Config Settings Manager
Group: System/X11
URL: http://www.compiz-fusion.org/
Source: %{srcname}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: compiz-devel
BuildRequires: compizconfig-python-devel
BuildRequires: pygtk2.0-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: compizconfig-python
Requires: pygtk2.0
Suggests: python-sexy

Obsoletes: gset-compiz
Obsoletes: beryl-settings
Obsoletes: beryl-settings-simple

%description
Configuration tool for Compiz when used with the ccp configuration plugin (default).

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}

%build
python setup.py build --prefix=%{_prefix}

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -f %{buildroot}%{py_puresitedir}/*.egg-info
%find_lang %{name}


desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="GTK" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.png
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons
%dir %{py_puresitedir}/ccm
%{py_puresitedir}/ccm/*.py
%{py_puresitedir}/ccm/*.pyc
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Jun 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.6-1mdv2008.1
+ Revision: 229876
- New version: 0.7.6
- Make the description a bit better

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210158
- Update to git snapshot

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192370
- New version 0.7.4

* Mon Mar 17 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-2mdv2008.1
+ Revision: 188210
- Fix #38930 by updating icon cache properly

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181122
- New version 0.7.2

* Fri Feb 22 2008 Olivier Blin <oblin@mandriva.com> 0.6.99-0.20080218.2mdv2008.1
+ Revision: 173923
- suggest python-sexy

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172310
- Update to git master for new compiz

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100718
- New upstream release: 0.6.0

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.1mdv2008.1
+ Revision: 100098
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Sun Sep 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 78197
- Fixes #33074 - fix .desktop categories
- Fix typo in desktop file handling

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62613
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070811.1mdv2008.0
+ Revision: 62128
- Update snapshot
- Make noarch now that the invalid configure is gone
- Install properly (fixes image display)

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070801.1mdv2008.0
+ Revision: 57837
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070724.1mdv2008.0
+ Revision: 55251
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070714.1mdv2008.0
+ Revision: 52119
- Update snapshot

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-0.20070707.1mdv2008.0
+ Revision: 49552
- Update Snapshot to 20070707
- Obsolete Beryl Settings and GSet Compiz
- Import ccsm

